bg-vulnerable-soft